Subject: Re: [bug#46842] [PATCH] gnu: gnuradio: Updated to 3.9.0.0.

From: Guillaume Le Vaillant <[email-masked]>
Date: Mon, 22 Mar 2021 11:46:47 +0100

Ludovic Courtès <[email-masked]> skribis:

> The patch LGTM but I got this one ‘qa_dtv’ test failure on x86_64:
>
> --8<---------------cut here---------------start------------->8---
> 222/241 Test #226: qa_cvsd_vocoder ..............................   Passed    1.18 sec
>         Start 230: qa_ulaw_vocoder
> 223/241 Test #228: qa_g723_24_vocoder ...........................   Passed    0.93 sec
>         Start 231: qa_codec2_vocoder
> 224/241 Test #218: qa_dtv .......................................***Failed    3.73 sec
> F
> ======================================================================
> FAIL: test_000 (__main__.test_dtv)
> ----------------------------------------------------------------------
> Traceback (most recent call last):
>   File "/tmp/guix-build-gnuradio-3.9.0.0.drv-0/gnuradio-3.9.0.0/gr-dtv/python/dtv/qa_dtv.py", line 171, in test_000
>     self.assertFloatTuplesAlmostEqual(out_data, expected_data, 5)
>   File "/tmp/guix-build-gnuradio-3.9.0.0.drv-0/gnuradio-3.9.0.0/gnuradio-runtime/python/gnuradio/gr_unittest.py", line 96, in assertFloatTuplesAlmostEqual
>     return all([
>   File "/tmp/guix-build-gnuradio-3.9.0.0.drv-0/gnuradio-3.9.0.0/gnuradio-runtime/python/gnuradio/gr_unittest.py", line 97, in <listcomp>
>     self.assertAlmostEqual(x, y, places, msg)
> AssertionError: -0.0002739299 != -0.0011434406 within 5 places (0.0008695107 difference)
>
> ----------------------------------------------------------------------
> Ran 1 test in 2.559s
>
> FAILED (failures=1)
> --8<---------------cut here---------------end--------------->8---
>
> Does that ring a bell?

Hi,

I just tested this patch, and I don't reproduce the issue with the
qa_dtv test. Does it fail every time on your machine?